<?php
/**
 * Rev Orphanage Theme Customizer
 *
 * @package Rev Orphanage
 */

function Rev_Orphanage_Customize_register( $wp_customize ) {

	load_template( trailingslashit( get_template_directory() ) . 'revolution/inc/fontawesome-change.php' );

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'Rev_Orphanage_Customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'Rev_Orphanage_Customize_partial_blogdescription',
			)
		);
	}

	/*
    * Theme Options Panel
    */
	$wp_customize->add_panel('rev_orphanage_panel', array(
		'priority' => 25,
		'capability' => 'edit_theme_options',
		'title' => __('Rev Orphanage Theme Options', 'rev-orphanage'),
	));

	/*
	* Customizer main header section
	*/

	$wp_customize->add_setting(
		'rev_orphanage_site_title_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_site_title_text',
		array(
			'label'       => __('Enable Title', 'rev-orphanage'),
			'description' => __('Enable or Disable Title from the site', 'rev-orphanage'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'rev_orphanage_site_tagline_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_site_tagline_text',
		array(
			'label'       => __('Enable Tagline', 'rev-orphanage'),
			'description' => __('Enable or Disable Tagline from the site', 'rev-orphanage'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

		$wp_customize->add_setting(
		'rev_orphanage_logo_width',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '150',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_logo_width',
		array(
			'label'       => __('Logo Width in PX', 'rev-orphanage'),
			'section'     => 'title_tagline',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 100,
	             'max' => 300,
	             'step' => 1,
	         ),
		)
	);

	/* WooCommerce custom settings */

	$wp_customize->add_section('woocommerce_custom_settings', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('WooCommerce Custom Settings', 'rev-orphanage'),
		'panel'       => 'woocommerce',
	));

	$wp_customize->add_setting(
		'rev_orphanage_per_columns',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_per_columns',
		array(
			'label'       => __('Product Per Single Row', 'rev-orphanage'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'rev_orphanage_product_per_page',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '6',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_product_per_page',
		array(
			'label'       => __('Product Per One Page', 'rev-orphanage'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 12,
	             'step' => 1,
	         ),
		)
	);

	/*Related Products Enable Option*/
	$wp_customize->add_setting(
		'rev_orphanage_enable_related_product',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_enable_related_product',
		array(
			'label'       => __('Enable Related Product', 'rev-orphanage'),
			'description' => __('Checked to show Related Product', 'rev-orphanage'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number',
		array(
			'label'       => __('Related Product Count', 'rev-orphanage'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 20,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number_per_row',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number_per_row',
		array(
			'label'       => __('Related Product Per Row', 'rev-orphanage'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	/*Archive Product layout*/
	$wp_customize->add_setting('rev_orphanage_archive_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'rev_orphanage_sanitize_choices'
	));
	$wp_customize->add_control('rev_orphanage_archive_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Archive Product Layout','rev-orphanage'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','rev-orphanage'),
            'layout-2' => esc_html__('Sidebar On Left','rev-orphanage'),
			'layout-3' => esc_html__('Full Width Layout','rev-orphanage')
        ),
	) );

	/*Single Product layout*/
	$wp_customize->add_setting('rev_orphanage_single_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'rev_orphanage_sanitize_choices'
	));
	$wp_customize->add_control('rev_orphanage_single_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Product Layout','rev-orphanage'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','rev-orphanage'),
            'layout-2' => esc_html__('Sidebar On Left','rev-orphanage'),
			'layout-3' => esc_html__('Full Width Layout','rev-orphanage')
        ),
	) );

	$wp_customize->add_setting('rev_orphanage_woocommerce_product_sale',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => 'Right',
        'sanitize_callback' => 'rev_orphanage_sanitize_choices'
    ));
    $wp_customize->add_control('rev_orphanage_woocommerce_product_sale',array(
        'label'       => esc_html__( 'Woocommerce Product Sale Positions','rev-orphanage' ),
        'type' => 'select',
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'Right' => __('Right','rev-orphanage'),
            'Left' => __('Left','rev-orphanage'),
            'Center' => __('Center','rev-orphanage')
        ),
    ) );

	/*Additional Options*/
	$wp_customize->add_section('rev_orphanage_additional_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Additional Options', 'rev-orphanage'),
		'panel'       => 'rev_orphanage_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'rev_orphanage_enable_sticky_header',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => false,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_enable_sticky_header',
		array(
			'label'       => __('Enable Sticky Header', 'rev-orphanage'),
			'description' => __('Checked to enable sticky header', 'rev-orphanage'),
			'section'     => 'rev_orphanage_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'rev_orphanage_enable_preloader',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_enable_preloader',
		array(
			'label'       => __('Enable Preloader', 'rev-orphanage'),
			'description' => __('Checked to show preloader', 'rev-orphanage'),
			'section'     => 'rev_orphanage_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Breadcrumbs Enable Option*/
	$wp_customize->add_setting(
		'rev_orphanage_enable_breadcrumbs',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_enable_breadcrumbs',
		array(
			'label'       => __('Enable Breadcrumbs', 'rev-orphanage'),
			'description' => __('Checked to show Breadcrumbs', 'rev-orphanage'),
			'section'     => 'rev_orphanage_additional_section',
			'type'        => 'checkbox',
		)
	);

		/*Pagination Enable Option*/
	$wp_customize->add_setting(
		'rev_orphanage_enable_pagination',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_enable_pagination',
		array(
			'label'       => __('Enable Pagination', 'rev-orphanage'),
			'description' => __('Checked to show Pagination', 'rev-orphanage'),
			'section'     => 'rev_orphanage_additional_section',
			'type'        => 'checkbox',
		)
	);

		/*Pagination Select Type Option*/
	$wp_customize->add_setting('rev_orphanage_pagination_type',array(
        'default' => 'type-1',
        'sanitize_callback' => 'rev_orphanage_sanitize_choices'
	));
	$wp_customize->add_control('rev_orphanage_pagination_type',array(
        'type' => 'select',
        'label' => esc_html__('Select Pagination Type','rev-orphanage'),
        'section' => 'rev_orphanage_additional_section',
        'choices' => array(
            'type-1' => esc_html__('Type 1','rev-orphanage'),
            'type-2' => esc_html__('Type 2','rev-orphanage'),
        ),
	) );

	/*Post layout*/
	$wp_customize->add_setting('rev_orphanage_archive_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'rev_orphanage_sanitize_choices'
	));
	$wp_customize->add_control('rev_orphanage_archive_layout',array(
        'type' => 'select',
        'label' => esc_html__('Posts Layout','rev-orphanage'),
        'section' => 'rev_orphanage_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','rev-orphanage'),
            'layout-2' => esc_html__('Sidebar On Left','rev-orphanage'),
			'layout-3' => esc_html__('Full Width Layout','rev-orphanage')
        ),
	) );

	/*single post layout*/
	$wp_customize->add_setting('rev_orphanage_post_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'rev_orphanage_sanitize_choices'
	));
	$wp_customize->add_control('rev_orphanage_post_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Post Layout','rev-orphanage'),
        'section' => 'rev_orphanage_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','rev-orphanage'),
            'layout-2' => esc_html__('Sidebar On Left','rev-orphanage'),
			'layout-3' => esc_html__('Full Width Layout','rev-orphanage')
        ),
	) );

	/*single page layout*/
	$wp_customize->add_setting('rev_orphanage_page_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'rev_orphanage_sanitize_choices'
	));
	$wp_customize->add_control('rev_orphanage_page_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Page Layout','rev-orphanage'),
        'section' => 'rev_orphanage_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','rev-orphanage'),
            'layout-2' => esc_html__('Sidebar On Left','rev-orphanage'),
			'layout-3' => esc_html__('Full Width Layout','rev-orphanage')
        ),
	) );

	$wp_customize->add_setting( 
		'rev_orphanage_additional_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_additional_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more additional options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(REV_ORPHANAGE_BUY_NOW) ." '>Check Rev Orphanage PRO version.</a>
					</div>
				</div>
			",
			'section' => 'rev_orphanage_additional_section'
		)
	);

	/*Archive Post Options*/
	$wp_customize->add_section('rev_orphanage_blog_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Blog Page Options', 'rev-orphanage'),
		'panel'       => 'rev_orphanage_panel',
	));

	$wp_customize->add_setting('rev_orphanage_enable_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
	));
	$wp_customize->add_control('rev_orphanage_enable_blog_post_title',array(
		'label'       => __('Enable Blog Post Title', 'rev-orphanage'),
		'description' => __('Checked To Show Blog Post Title', 'rev-orphanage'),
		'section'     => 'rev_orphanage_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rev_orphanage_enable_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
	));
	$wp_customize->add_control('rev_orphanage_enable_blog_post_meta',array(
		'label'       => __('Enable Blog Post Meta', 'rev-orphanage'),
		'description' => __('Checked To Show Blog Post Meta Feilds', 'rev-orphanage'),
		'section'     => 'rev_orphanage_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rev_orphanage_enable_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
	));
	$wp_customize->add_control('rev_orphanage_enable_blog_post_tags',array(
		'label'       => __('Enable Blog Post Tags', 'rev-orphanage'),
		'description' => __('Checked To Show Blog Post Tags', 'rev-orphanage'),
		'section'     => 'rev_orphanage_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rev_orphanage_enable_blog_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
	));
	$wp_customize->add_control('rev_orphanage_enable_blog_post_image',array(
		'label'       => __('Enable Blog Post Image', 'rev-orphanage'),
		'description' => __('Checked To Show Blog Post Image', 'rev-orphanage'),
		'section'     => 'rev_orphanage_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rev_orphanage_enable_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
	));
	$wp_customize->add_control('rev_orphanage_enable_blog_post_content',array(
		'label'       => __('Enable Blog Post Content', 'rev-orphanage'),
		'description' => __('Checked To Show Blog Post Content', 'rev-orphanage'),
		'section'     => 'rev_orphanage_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rev_orphanage_enable_blog_post_button',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
	));
	$wp_customize->add_control('rev_orphanage_enable_blog_post_button',array(
		'label'       => __('Enable Blog Post Read More Button', 'rev-orphanage'),
		'description' => __('Checked To Show Blog Post Read More Button', 'rev-orphanage'),
		'section'     => 'rev_orphanage_blog_post_section',
		'type'        => 'checkbox',
	));

	/*Blog post Content layout*/
	$wp_customize->add_setting('rev_orphanage_blog_Post_content_layout',array(
        'default' => 'Left',
        'sanitize_callback' => 'rev_orphanage_sanitize_choices'
	));
	$wp_customize->add_control('rev_orphanage_blog_Post_content_layout',array(
        'type' => 'select',
        'label' => esc_html__('Blog Post Content Layout','rev-orphanage'),
        'section' => 'rev_orphanage_blog_post_section',
        'choices' => array(
            'Left' => esc_html__('Left','rev-orphanage'),
            'Center' => esc_html__('Center','rev-orphanage'),
            'Right' => esc_html__('Right','rev-orphanage')
        ),
	) );

	/*Excerpt*/
    $wp_customize->add_setting(
		'rev_orphanage_excerpt_limit',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '25',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_excerpt_limit',
		array(
			'label'       => __('Excerpt Limit', 'rev-orphanage'),
			'section'     => 'rev_orphanage_blog_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 2,
	             'max' => 50,
	             'step' => 2,
	         ),
		)
	);

	/*Archive Button Text*/
	$wp_customize->add_setting(
		'rev_orphanage_read_more_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Continue Reading....',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_read_more_text',
		array(
			'label'       => __('Edit Button Text ', 'rev-orphanage'),
			'section'     => 'rev_orphanage_blog_post_section',
			'type'        => 'text',
		)
	);

	/*Single Post Options*/
	$wp_customize->add_section('rev_orphanage_single_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Single Post Options', 'rev-orphanage'),
		'panel'       => 'rev_orphanage_panel',
	));

	$wp_customize->add_setting('rev_orphanage_enable_single_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
	));
	$wp_customize->add_control('rev_orphanage_enable_single_blog_post_title',array(
		'label'       => __('Enable Single Post Title', 'rev-orphanage'),
		'description' => __('Checked To Show Single Blog Post Title', 'rev-orphanage'),
		'section'     => 'rev_orphanage_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rev_orphanage_enable_single_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
	));
	$wp_customize->add_control('rev_orphanage_enable_single_blog_post_meta',array(
		'label'       => __('Enable Single Post Meta', 'rev-orphanage'),
		'description' => __('Checked To Show Single Blog Post Meta Feilds', 'rev-orphanage'),
		'section'     => 'rev_orphanage_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rev_orphanage_enable_single_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
	));
	$wp_customize->add_control('rev_orphanage_enable_single_blog_post_tags',array(
		'label'       => __('Enable Single Post Tags', 'rev-orphanage'),
		'description' => __('Checked To Show Single Blog Post Tags', 'rev-orphanage'),
		'section'     => 'rev_orphanage_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rev_orphanage_enable_single_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
	));
	$wp_customize->add_control('rev_orphanage_enable_single_post_image',array(
		'label'       => __('Enable Single Post Image', 'rev-orphanage'),
		'description' => __('Checked To Show Single Post Image', 'rev-orphanage'),
		'section'     => 'rev_orphanage_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('rev_orphanage_enable_single_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
	));
	$wp_customize->add_control('rev_orphanage_enable_single_blog_post_content',array(
		'label'       => __('Enable Single Post Content', 'rev-orphanage'),
		'description' => __('Checked To Show Single Blog Post Content', 'rev-orphanage'),
		'section'     => 'rev_orphanage_single_post_section',
		'type'        => 'checkbox',
	));

	/*Related Post Enable Option*/
	$wp_customize->add_setting(
		'rev_orphanage_enable_related_post',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_enable_related_post',
		array(
			'label'       => __('Enable Related Post', 'rev-orphanage'),
			'description' => __('Checked to show Related Post', 'rev-orphanage'),
			'section'     => 'rev_orphanage_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*Related post Edit Text*/
	$wp_customize->add_setting(
		'rev_orphanage_related_post_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Related Post',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_related_post_text',
		array(
			'label'       => __('Edit Related Post Text ', 'rev-orphanage'),
			'section'     => 'rev_orphanage_single_post_section',
			'type'        => 'text',
		)
	);	

	/*Related Post Per Page*/
	$wp_customize->add_setting(
		'rev_orphanage_related_post_count',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_related_post_count',
		array(
			'label'       => __('Related Post Count', 'rev-orphanage'),
			'section'     => 'rev_orphanage_single_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 9,
	             'step' => 1,
	         ),
		)
	);

	/* Comment Section Enable Option*/
	$wp_customize->add_setting(
		'rev_orphanage_enable_comment_section',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_enable_comment_section',
		array(
			'label'       => __('Enable Comment Section', 'rev-orphanage'),
			'description' => __('Checked to show Comment Section', 'rev-orphanage'),
			'section'     => 'rev_orphanage_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*
	* Customizer Global COlor
	*/

	/*Global Color Options*/
	$wp_customize->add_section('rev_orphanage_global_color_section', array(
		'priority'       => 1,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Global Color Options', 'rev-orphanage'),
		'panel'       => 'rev_orphanage_panel',
	));

	$wp_customize->add_setting( 'rev_orphanage_primary_color',
		array(
		'default'           => '#15C8A0',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'rev_orphanage_primary_color',
		array(
			'label'      => esc_html__( 'Primary Color', 'rev-orphanage' ),
			'section'    => 'rev_orphanage_global_color_section',
			'settings'   => 'rev_orphanage_primary_color',
		) ) 
	);

	$wp_customize->add_setting( 'rev_orphanage_secondary_color',
		array(
		'default'           => '#1F2230',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'rev_orphanage_secondary_color',
		array(
			'label'      => esc_html__( 'Secondary Color', 'rev-orphanage' ),
			'section'    => 'rev_orphanage_global_color_section',
			'settings'   => 'rev_orphanage_secondary_color',
		) ) 
	);

	/*Typography Options*/
	$wp_customize->add_section( 'rev_orphanage_typography_section', array(
		'panel'       => 'rev_orphanage_panel',
        'title'    => __( 'Typography Options', 'rev-orphanage' ),
        'priority' => 2,
    ) );

    $wp_customize->add_setting( 'rev_orphanage_font_family', array(
		'default'           => 'default',
		'sanitize_callback' => 'rev_orphanage_sanitize_font_family',
	) );
	
	$wp_customize->add_control( 'rev_orphanage_font_family', array(
		'label'    => __( 'Global Font Family', 'rev-orphanage' ),
		'section'  => 'rev_orphanage_typography_section',
		'type'     => 'select',
		'choices'  => array(
			'default'          => __( 'Default (Theme Font)', 'rev-orphanage' ),
			'bad_script'       => 'Bad Script',
			'roboto'           => 'Roboto',
			'playfair_display' => 'Playfair Display',
			'open_sans'        => 'Open Sans',
			'lobster'          => 'Lobster',
			'merriweather'     => 'Merriweather',
			'oswald'           => 'Oswald',
			'raleway'          => 'Raleway',
			// Add new fonts here
			'poppins'            => 'Poppins',
			'lato'               => 'Lato',
			'source_sans_pro'    => 'Source Sans Pro',
			'quicksand'          => 'Quicksand',
			'nunito'             => 'Nunito',
			'montserrat'         => 'Montserrat',
			'roboto_condensed'   => 'Roboto Condensed',
			'playfair_display_sc'=> 'Playfair Display SC',
			'alegreya'           => 'Alegreya',
			'fira_sans'          => 'Fira Sans',
		),
	) );
	

	/*
	* Customizer main header section
	*/

	/*Main Header Options*/
	$wp_customize->add_section('rev_orphanage_header_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Header Options', 'rev-orphanage'),
		'panel'       => 'rev_orphanage_panel',
	));

	// Add Setting for Menu Text Transform
    $wp_customize->add_setting( 'rev_orphanage_menu_text_transform', array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'uppercase',
        'sanitize_callback' => 'rev_orphanage_sanitize_choices'
    ) );

    // Add Control for Menu Text Transform
    $wp_customize->add_control( 'rev_orphanage_menu_text_transform', array(
        'label'    => __( 'Menu Text Transform', 'rev-orphanage' ),
        'section'  => 'rev_orphanage_header_section',
        'type'     => 'select',
        'choices'  => array(
            'none'       => __( 'None', 'rev-orphanage' ),
            'capitalize' => __( 'Capitalize', 'rev-orphanage' ),
            'uppercase'  => __( 'Uppercase', 'rev-orphanage' ),
            'lowercase'  => __( 'Lowercase', 'rev-orphanage' ),
        ),
    ) );

	$wp_customize->add_setting(
		'rev_orphanage_header_search',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => false,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_header_search',
		array(
			'label'       => __('Enable Disable Search', 'rev-orphanage'),
			'description' => __('Enable or Disable header Search', 'rev-orphanage'),
			'section'     => 'rev_orphanage_header_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Header Phone Text*/
	$wp_customize->add_setting(
		'rev_orphanage_header_info_phone',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '+00 123 456 78900',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'rev_orphanage_header_info_phone',
		array(
			'label'       => __('Edit Phone Number ', 'rev-orphanage'),
			'section'     => 'rev_orphanage_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('rev_orphanage_header_phone_icon',array(
		'default'	=> 'fas fa-phone',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Rev_Orphanage_Icon_Changer(
        $wp_customize,'rev_orphanage_header_phone_icon',array(
		'label'	=> __('Phone Number Icon','rev-orphanage'),
		'transport' => 'refresh',
		'section'	=> 'rev_orphanage_header_section',
		'type'		=> 'icon'
	)));

	/*Main Header Phone Text*/
	$wp_customize->add_setting(
		'rev_orphanage_header_info_email',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'charity1245@example.com',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);
	$wp_customize->add_control(
		'rev_orphanage_header_info_email',
		array(
			'label'       => __('Edit Email Address ', 'rev-orphanage'),
			'section'     => 'rev_orphanage_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('rev_orphanage_header_mail_icon',array(
		'default'	=> 'fas fa-envelope-open',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Rev_Orphanage_Icon_Changer(
        $wp_customize,'rev_orphanage_header_mail_icon',array(
		'label'	=> __('Mail Icon','rev-orphanage'),
		'transport' => 'refresh',
		'section'	=> 'rev_orphanage_header_section',
		'type'		=> 'icon'
	)));

	/*Facebook Link*/
	$wp_customize->add_setting(
		'rev_orphanage_facebook_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_facebook_link_option',
		array(
			'label'       => __('Edit Facebook Link', 'rev-orphanage'),
			'section'     => 'rev_orphanage_header_section',
			'type'        => 'url',
		)
	);

	/*Twitter Link*/
	$wp_customize->add_setting(
		'rev_orphanage_twitter_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_twitter_link_option',
		array(
			'label'       => __('Edit Twitter Link', 'rev-orphanage'),
			'section'     => 'rev_orphanage_header_section',
			'type'        => 'url',
		)
	);

	/*Instagram Link*/
	$wp_customize->add_setting(
		'rev_orphanage_instagram_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_instagram_link_option',
		array(
			'label'       => __('Edit Instagram Link', 'rev-orphanage'),
			'section'     => 'rev_orphanage_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'rev_orphanage_linked_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'rev_orphanage_linked_link_option',
		array(
			'label'       => __('Edit Linkedin Link', 'rev-orphanage'),
			'section'     => 'rev_orphanage_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'rev_orphanage_pinterest_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'rev_orphanage_pinterest_link_option',
		array(
			'label'       => __('Edit Pinterest Link', 'rev-orphanage'),
			'section'     => 'rev_orphanage_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting(
		'rev_orphanage_youtube_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);
	$wp_customize->add_control(
		'rev_orphanage_youtube_link_option',
		array(
			'label'       => __('Edit Youtube Link', 'rev-orphanage'),
			'section'     => 'rev_orphanage_header_section',
			'type'        => 'url',
		)
	);

	$wp_customize->add_setting( 
		'rev_orphanage_header_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_header_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more header options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(REV_ORPHANAGE_BUY_NOW) ." '>Check Rev Orphanage PRO version.</a>
					</div>
				</div>
			",
			'section' => 'rev_orphanage_header_section'
		)
	);

	/*
	* Customizer main slider section
	*/
	/*Main Slider Options*/
	$wp_customize->add_section('rev_orphanage_slider_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Slider Options', 'rev-orphanage'),
		'panel'       => 'rev_orphanage_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'rev_orphanage_enable_slider',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_enable_slider',
		array(
			'label'       => __('Enable Main Slider', 'rev-orphanage'),
			'description' => __('Checked to show the main slider', 'rev-orphanage'),
			'section'     => 'rev_orphanage_slider_section',
			'type'        => 'checkbox',
		)
	);

	for ($i=1; $i <= 3; $i++) { 

		/*Main Slider Image*/
		$wp_customize->add_setting(
			'rev_orphanage_slider_image'.$i,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'rev_orphanage_slider_image'.$i, 
				array(
			        'label' => __('Edit Slider Image ', 'rev-orphanage') .$i,
			        'description' => __('Edit the slider image.', 'rev-orphanage'),
			        'section' => 'rev_orphanage_slider_section',
				)
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'rev_orphanage_slider_top_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'rev_orphanage_slider_top_text'.$i,
			array(
				'label'       => __('Edit Slider Top Text ', 'rev-orphanage') .$i,
				'description' => __('Edit the slider Top text.', 'rev-orphanage'),
				'section'     => 'rev_orphanage_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'rev_orphanage_slider_heading'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'rev_orphanage_slider_heading'.$i,
			array(
				'label'       => __('Edit Heading Text ', 'rev-orphanage') .$i,
				'description' => __('Edit the slider heading text.', 'rev-orphanage'),
				'section'     => 'rev_orphanage_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'rev_orphanage_slider_subheading'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'rev_orphanage_slider_subheading'.$i,
			array(
				'label'       => __('Edit Sub Heading Text ', 'rev-orphanage') .$i,
				'description' => __('Edit the slider Sub heading text.', 'rev-orphanage'),
				'section'     => 'rev_orphanage_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Content*/
		$wp_customize->add_setting(
			'rev_orphanage_slider_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'rev_orphanage_slider_text'.$i,
			array(
				'label'       => __('Edit Content Text ', 'rev-orphanage') .$i,
				'description' => __('Edit the slider content text.', 'rev-orphanage'),
				'section'     => 'rev_orphanage_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 Text*/
		$wp_customize->add_setting(
			'rev_orphanage_slider_button1_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);
		$wp_customize->add_control(
			'rev_orphanage_slider_button1_text'.$i,
			array(
				'label'       => __('Edit Button #1 Text ', 'rev-orphanage') .$i,
				'description' => __('Edit the slider button text.', 'rev-orphanage'),
				'section'     => 'rev_orphanage_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'rev_orphanage_slider_button1_link'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'rev_orphanage_slider_button1_link'.$i,
			array(
				'label'       => __('Edit Button #1 URL ', 'rev-orphanage') .$i,
				'description' => __('Edit the slider button url.', 'rev-orphanage'),
				'section'     => 'rev_orphanage_slider_section',
				'type'        => 'url',
			)
		);

		/*Main Slider Button2 Text*/
		$wp_customize->add_setting(
			'rev_orphanage_slider_button2_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);
		$wp_customize->add_control(
			'rev_orphanage_slider_button2_text'.$i,
			array(
				'label'       => __('Edit Button #2 Text ', 'rev-orphanage') .$i,
				'description' => __('Edit the slider button text.', 'rev-orphanage'),
				'section'     => 'rev_orphanage_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'rev_orphanage_slider_button2_link'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'rev_orphanage_slider_button2_link'.$i,
			array(
				'label'       => __('Edit Button #2 URL ', 'rev-orphanage') .$i,
				'description' => __('Edit the slider button url.', 'rev-orphanage'),
				'section'     => 'rev_orphanage_slider_section',
				'type'        => 'url',
			)
		);
	}

	$wp_customize->add_setting( 
		'rev_orphanage_slider_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_slider_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more slider options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(REV_ORPHANAGE_BUY_NOW) ." '>Check Rev Orphanage PRO version.</a>
					</div>
				</div>
			",
			'section' => 'rev_orphanage_slider_section'
		)
	);

	// About Us Section
	$wp_customize->add_section('rev_orphanage_service_section', array(
		'priority'       => 7,
	    'title'    => __('About Us Section', 'rev-orphanage'),
	    'panel'    => 'rev_orphanage_panel',
	    'priority' => 7,
	));

	$wp_customize->add_setting(
		'rev_orphanage_service_enable',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_service_enable',
		array(
			'label'       => __('Show / Hide About Us', 'rev-orphanage'),
			'description' => __('Checked to enable About Us option.', 'rev-orphanage'),
			'section'     => 'rev_orphanage_service_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('rev_orphanage_service_about_us', array(
	    'default'           => '',
	    'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('rev_orphanage_service_about_us', array(
	    'label'    => __('Add About Title 1', 'rev-orphanage'),
	    'section'  => 'rev_orphanage_service_section',
	    'type'     => 'text'
	));

	$wp_customize->add_setting('rev_orphanage_service_sub_heading', array(
	    'default'           => '',
	    'sanitize_callback' => 'sanitize_text_field'
	));
	$wp_customize->add_control('rev_orphanage_service_sub_heading', array(
	    'label'    => __('Add About Title 2', 'rev-orphanage'),
	    'section'  => 'rev_orphanage_service_section',
	    'type'     => 'text'
	));

	$rev_orphanage_default_about_page = get_page_id_by_slug('about');
	// Add a default "Select" option to the dropdown
	$wp_customize->add_setting('rev_orphanage_about_page', array(
	    'default'           => $rev_orphanage_default_about_page, 
	    'sanitize_callback' => 'rev_orphanage_sanitize_dropdown_pages'
	));
	$wp_customize->add_control('rev_orphanage_about_page', array(
	    'label'    => __('Select About Us Page', 'rev-orphanage'),
	    'section'  => 'rev_orphanage_service_section',
	    'type'     => 'dropdown-pages'
	));

	$wp_customize->add_setting('rev_orphanage_about_bg',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'rev_orphanage_about_bg',array(
	    'label' => __('Select About Image','rev-orphanage'),
	     'section' => 'rev_orphanage_service_section'
	)));

	for ($rev_orphanage_i = 1; $rev_orphanage_i <= 4; $rev_orphanage_i++) {

    // Tab Heading
    $wp_customize->add_setting('rev_orphanage_tab_heading' . $rev_orphanage_i, array(
        'default' => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('rev_orphanage_tab_heading' . $rev_orphanage_i, array(
        'label' => __('About Features Title ', 'rev-orphanage') . $rev_orphanage_i,
        'section' => 'rev_orphanage_service_section',
        'type' => 'text'
    ));

    // Tab Paragraph
    $wp_customize->add_setting('rev_orphanage_tab_para' . $rev_orphanage_i, array(
        'default' => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('rev_orphanage_tab_para' . $rev_orphanage_i, array(
        'label' => __('About Features Content ', 'rev-orphanage') . $rev_orphanage_i,
        'section' => 'rev_orphanage_service_section',
        'type' => 'text'
    ));

    // Icon Setting (Unique for each tab)
    $wp_customize->add_setting('rev_orphanage_tab_icon' . $rev_orphanage_i, array(
        'default' => 'fas fa-hand-holding-heart', // Default icon
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('rev_orphanage_tab_icon' . $rev_orphanage_i, array(
        'label' => __('Edit Features Icon ', 'rev-orphanage') . $rev_orphanage_i,
        'section' => 'rev_orphanage_service_section',
        'type' => 'text'
    ));
}

  	$wp_customize->add_setting('rev_orphanage_abt_button',array(
		'default'=> 'MORE ABOUT',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('rev_orphanage_abt_button',array(
		'label'	=> __('About Button Text','rev-orphanage'),
		'section'=> 'rev_orphanage_service_section',
		'type'=> 'text'
	));

	$wp_customize->add_setting('rev_orphanage_abt_link',array(
		'default'=> '',
		'sanitize_callback'	=> 'esc_url_raw'
	));
	$wp_customize->add_control('rev_orphanage_abt_link',array(
		'label'	=> __('About Button Link','rev-orphanage'),
		'section'=> 'rev_orphanage_service_section',
		'type'=> 'url'
	));

	$wp_customize->add_setting('rev_orphanage_charity_experience',array(
		'default' => '',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control('rev_orphanage_charity_experience',array(
		'label'	=> __('Add Total Experience','rev-orphanage'),
		'section'	=> 'rev_orphanage_service_section',
		'type'		=> 'text'
	));

	$wp_customize->add_setting( 
		'rev_orphanage_service_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_service_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more about options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(REV_ORPHANAGE_BUY_NOW) ." '>Check Rev Orphanage PRO version.</a>
					</div>
				</div>
			",
			'section' => 'rev_orphanage_service_section'
		)
	);

	/*
	* Customizer Footer Section
	*/
	/*Footer Options*/
	$wp_customize->add_section('rev_orphanage_footer_section', array(
		'priority'       => 8,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Footer Options', 'rev-orphanage'),
		'panel'       => 'rev_orphanage_panel',
	));
	
	/*Footer Enable Option*/
	$wp_customize->add_setting(
		'rev_orphanage_enable_footer',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'rev_orphanage_enable_footer',
		array(
			'label'       => __('Enable Footer', 'rev-orphanage'),
			'description' => __('Checked to show Footer', 'rev-orphanage'),
			'section'     => 'rev_orphanage_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Footer bg image Option*/
	$wp_customize->add_setting('rev_orphanage_footer_bg_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'rev_orphanage_footer_bg_image',array(
        'label' => __('Footer Background Image','rev-orphanage'),
        'section' => 'rev_orphanage_footer_section',
    )));


	/** Footer bg Image Attachment */
    $wp_customize->add_setting('rev_orphanage_background_attachment', array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'scroll',
        'sanitize_callback' => 'rev_orphanage_sanitize_choices'
    ));

    $wp_customize->add_control('rev_orphanage_background_attachment', array(
        'label'    => __('Footer Background Attachment', 'rev-orphanage'),
        'section'  => 'rev_orphanage_footer_section',
        'settings' => 'rev_orphanage_background_attachment',
        'type'     => 'select',
        'choices'  => array(
            'fixed' => __('fixed','rev-orphanage'),
            'scroll' => __('scroll','rev-orphanage'),
        ),
    ));

	/*Footer Social Menu Option*/
	$wp_customize->add_setting(
		'rev_orphanage_footer_social_menu',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_footer_social_menu',
		array(
			'label'       => __('Enable Footer Social Menu', 'rev-orphanage'),
			'description' => __('Checked to show the footer social menu. Go to Dashboard >> Appearance >> Menus >> Create New Menu >> Add Custom Link >> Add Social Menu >> Checked Social Menu >> Save Menu.', 'rev-orphanage'),
			'section'     => 'rev_orphanage_footer_section',
			'type'        => 'checkbox',
		)
	);	

	/*Go To Top Option*/
	$wp_customize->add_setting(
		'rev_orphanage_enable_go_to_top_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'rev_orphanage_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_enable_go_to_top_option',
		array(
			'label'       => __('Enable Go To Top', 'rev-orphanage'),
			'description' => __('Checked to enable Go To Top option.', 'rev-orphanage'),
			'section'     => 'rev_orphanage_footer_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('rev_orphanage_go_to_top_position',array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'Right',
        'sanitize_callback' => 'rev_orphanage_sanitize_choices'
    ));
    $wp_customize->add_control('rev_orphanage_go_to_top_position',array(
        'type' => 'select',
        'section' => 'rev_orphanage_footer_section',
        'label' => esc_html__('Go To Top Positions','rev-orphanage'),
        'choices' => array(
            'Right' => __('Right','rev-orphanage'),
            'Left' => __('Left','rev-orphanage'),
            'Center' => __('Center','rev-orphanage')
        ),
    ) );

	/*Footer Copyright Text Enable*/
	$wp_customize->add_setting(
		'rev_orphanage_copyright_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_copyright_option',
		array(
			'label'       => __('Edit Copyright Text', 'rev-orphanage'),
			'description' => __('Edit the Footer Copyright Section.', 'rev-orphanage'),
			'section'     => 'rev_orphanage_footer_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting( 
		'rev_orphanage_footer_settings_upgraded_features',
		array(
			'sanitize_callback' => 'sanitize_text_field'
		)
	);

	$wp_customize->add_control(
		'rev_orphanage_footer_settings_upgraded_features', 
		array(
			'type'=> 'hidden',
			'description' => "
				<div class='customizer-upgraded-features'>
					<span class='pro-head'>Want more footer options?</span><br/>
					<span class='pro-text'>						
						<a target='_blank' href='". esc_url(REV_ORPHANAGE_BUY_NOW) ." '>Check Rev Orphanage PRO version.</a>
					</div>
				</div>
			",
			'section' => 'rev_orphanage_footer_section'
		)
	);
}
add_action( 'customize_register', 'Rev_Orphanage_Customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function Rev_Orphanage_Customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function Rev_Orphanage_Customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function Rev_Orphanage_Customize_preview_js() {
	wp_enqueue_script( 'rev-orphanage-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), REV_ORPHANAGE_VERSION, true );
}
add_action( 'customize_preview_init', 'Rev_Orphanage_Customize_preview_js' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Rev_Orphanage_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $rev_orphanage_instance = null;

		if ( is_null( $rev_orphanage_instance ) ) {
			$rev_orphanage_instance = new self;
			$rev_orphanage_instance->setup_actions();
		}

		return $rev_orphanage_instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $rev_orphanage_manager
	 * @return void
	*/
	public function sections( $rev_orphanage_manager ) {
		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/revolution/inc/section-pro.php' );

		// Register custom section types.
		$rev_orphanage_manager->register_section_type( 'rev_orphanage_Customize_Section_Pro' );

		// Register sections.
		$rev_orphanage_manager->add_section( new Rev_Orphanage_Customize_Section_Pro( $rev_orphanage_manager,'rev_orphanage_go_pro', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Rev Orphanage Pro', 'rev-orphanage' ),
			'pro_text' => esc_html__( 'Buy Pro', 'rev-orphanage' ),
			'pro_url'    => esc_url( REV_ORPHANAGE_BUY_NOW ),
		) )	);

		// Register sections.
		$rev_orphanage_manager->add_section( new Rev_Orphanage_Customize_Section_Pro( $rev_orphanage_manager,'rev_orphanage_lite_documentation', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Lite Documentation', 'rev-orphanage' ),
			'pro_text' => esc_html__( 'Instruction', 'rev-orphanage' ),
			'pro_url'    => esc_url( REV_ORPHANAGE_LITE_DOC ),
		) )	);

		$rev_orphanage_manager->add_section( new Rev_Orphanage_Customize_Section_Pro( $rev_orphanage_manager, 'rev_orphanage_live_demo', array(
		    'priority'   => 1,
		    'title'      => esc_html__( 'Pro Theme Demo', 'rev-orphanage' ),
		    'pro_text'   => esc_html__( 'Live Preview', 'rev-orphanage' ),
		    'pro_url'    => esc_url( REV_ORPHANAGE_LIVE_DEMO ),
		) ) );	
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'rev-orphanage-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'rev-orphanage-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Rev_Orphanage_Customize::get_instance();